module(...,package.seeall)
-- includes --
local engine    = engine.instance
local chunks    = engine.chunks
local pool      = chunks.pool
local util      = chunks.util

LuaAllyUnit = chunks.class.inherit(chunks.baseunit.LuaBaseUnit)
{
}

bindToObject = chunks.class.gameObjectBinder(LuaAllyUnit)

function LuaAllyUnit:onBindToObject(object)	
	LuaAllyUnit.super.onBindToObject(self, object)	
	local actual_object = self.owner
	
	local start_loc = Map.get():getFirstPoint(GameObject.TEAM_ALLY)
	local game = actual_object:getGame()
	local subordinate = chunks.load.getStat("units", actual_object.label, "subordinate")
	local subordinate_count = chunks.load.getStat("units", actual_object.label, "subordinate_count")
	if subordinate and subordinate_count then
		local game = actual_object:getGame()
		local level = actual_object:getLevel()
		for i = 1,subordinate_count do
			actual_object:addAction(LuaAction(1, function()
				util.createUnitOnPath(game, subordinate, level)
				end
			))
		end
	end
end

-- Callbacks from C++
function LuaAllyUnit:processPartLogic(part, dt)
	local object = part:get():getObjectIndex()
	local orders = PartOrdersIndex(object)
	if orders:get():hasOrders() then
		return
	end 
	
	if part:get():tryToAttackClosestObject() == false then
		part:get():requestProcess(0.5)
	end
end

function LuaAllyUnit:destroy(owner)
	local cooldown_button = owner:getGame().lua.m_buttons_unique[owner.label]
	if cooldown_button then
		owner:getGame().lua.m_buttons_unique[owner.label] = nil
		cooldown_button:makeReady()
	end
end

function LuaAllyUnit:onTakeDamage(damage_packet, died)
	LuaAllyUnit.super.onTakeDamage(self, damage_packet, died)
	
	local object = self.owner:getObjectIndex():get()
	
	local render = PartRenderIndex(object:getObjectIndex()):get()
	if damage_packet.damage_info.damage > 0 and render then
		util.createBloodEffect(object)
	end
end
