module(...,package.seeall)
-- includes --
local engine    = engine.instance
local chunks    = engine.chunks
local load      = chunks.load
local util      = chunks.util
local pool      = chunks.pool
local assets    = chunks.assets

local counter = 0

LuaArrowVolleyAmmo = chunks.class.new
{	
}

bindToObject = chunks.class.gameObjectBinder(LuaArrowVolleyAmmo)

function LuaArrowVolleyAmmo:onAmmoHitTarget(ammo_part, damage_info, target)
	local owner = self.owner
	
	
	if owner.hidden_recursive == false then
		--print("visible")
		local game = owner:getMainGame()
		local scene = game:getScene()
		
		local base = scene:spawn(ActorBase())
		
		local location = owner:getWorldLocation()
		local y = Map.get():getYGivenX(GameObject.TEAM_NEUTRAL, location.x)
		local offset = y - location.y
		local z_offset = offset * 5.0
		base.location = pool.get_v3f(location.x, location.y, z_offset)
		print(base.location)
		
		local sprite = base:spawn(SpriteActor())
		assets.setTexture(sprite, assets.textures.arrow_ground)
		sprite.location = pool.get_v3f(assets.textures.arrow_ground.size.x / -2.0, 0, 0)
		
		base.rotation = owner.rotation + pool.get_v3f(0, 0, math.random(-10, 10))
		
		base:addAction(SleepAction(2.5))
		base:addAction(AlphaAction(0.25, InterpAction.Ramp, 0))
		base:addAction(DestroyAction(0))
		

	end
	
	
end