------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Assets             --
------------------------

-- Module
module(...,package.seeall)

-- Includes
local engine = engine.instance
local chunks = engine.chunks

local ratio = v2f(480/1024, 480/1024) --ipad to iphone
--------------
-- Textures --
--------------
textures = {}

setTexture     = chunks.textures.set_texture_spawner("")
setWideTexture = chunks.textures.set_wide_texture_spawner("")
getTexture     = chunks.textures.get_texture_spawner("")

function findTextureByPathName(name)
    for k,v in pairs(textures) do
        if v.path == name then
            return v
        end
    end

    return nil
end
textures.intro = { path = "intro/aod-intro", size = v2f(429, 296) }
textures.back_button = { path = "texture/backbutton_bg", size = v2f(45.0, 42.0) }
textures.necro_gate = { path = "texture/objects/units/gate", size = v2f(92, 194) * ratio }
textures.necro_gate_flash = { path = "texture/objects/units/gate_white_flash", size = v2f(92, 194) * ratio }
textures.coin_flip = { path = "texture/coin_flip", size = v2f(16, 16) }
textures.temp_vortex = { path = "texture/objects/spells/temp_vortex", size = v2f(228, 342) * ratio }
textures.necktie = { path = "texture/objects/spells/necktie", size = v2f(48/2, 143/2) * ratio }
textures.the_pit = { path = "texture/objects/units/pit_overlay", size = v2f(285, 103) }
textures.flying_necronomicon = { path = "texture/objects/units/evil_book", size = v2f(59, 64) * ratio }
textures.note = { path = "texture/UI/game/note", size = v2f(35, 43)*ratio }
textures.plus_sword = textures.note

--Weapons
textures.weapon_pitch_fork = { path = "texture/objects/weapons/pitch_fork", size = v2f(70, 18) }
textures.deathcoaster = { path = "texture/objects/units/deathcoaster", size = v2f(50, 50) }

-- Effects
textures.boom_stick_blast_effect = { path = "texture/objects/weapons/effects/boom_stick_blast", size = v2f(403, 344) * ratio }
textures.boom_stick_blast_effect_locale = { path = "texture/objects/weapons/effects/boom_stick_blast_locale", size = v2f(403, 344) * ratio }
textures.muzzle_flash = { path = "texture/objects/weapons/effects/muzzle_flash", size = v2f(198, 92) * ratio }
textures.smoke_puff = { path = "texture/objects/weapons/effects/smoke_puff", size = v2f(147, 129) * ratio }
textures.heal_effect = { path = "texture/objects/weapons/effects/heal", size = v2f(32, 32) * ratio }
textures.arrow_explode_effect = { path = "texture/objects/ammo/effects/arrow_explode", size = v2f(90, 90) * ratio }
textures.enflamed_effect = { path = "texture/objects/units/effects/fire_sprite", size = v2f(32, 64) * ratio * v2f(3.4, 3.4) }
textures.fire_sprite = { path = "texture/objects/units/effects/fire_sprite", size = v2f(32, 64) * ratio }
textures.buff_sword_good = { path = "texture/UI/game/buff_sword_good", size = v2f(63, 64)*ratio }
textures.buff_sword_evil = { path = "texture/UI/game/buff_sword_evil", size = v2f(40, 40)*ratio }
textures.arrow_ground = { path = "texture/UI/game/arrow_ground", size = v2f(103, 31)*ratio }

--Ammo
textures.ammo_arrow = { path = "texture/objects/ammo/arrow", size = v2f(52.5, 12.75) }
textures.ammo_flaming_arrow = { path = "texture/objects/ammo/flaming_arrow", size = v2f(128, 31) * ratio }
textures.ammo_rock = { path = "texture/objects/ammo/rock", size = v2f(64.0, 62.0) * ratio }
textures.ammo_flaming_rock = { path = "texture/objects/ammo/flaming_rock", size = v2f(64.0, 62.0) * ratio }
textures.ammo_blur_arrow = { path = "texture/objects/ammo/blur_arrow", size = v2f(512, 31) * ratio }
textures.ammo_blur_rock = { path = "texture/objects/ammo/blur_rock", size = v2f(182.0, 64.0) * ratio }
textures.ammo_blur_flaming_arrow = { path = "texture/objects/ammo/blur_flaming_arrow", size = v2f(512, 31) * ratio }
textures.ammo_blur_flaming_rock = { path = "texture/objects/ammo/blur_flaming_rock", size = v2f(182.0, 64.0) * ratio }
textures.ammo_bolt = { path = "texture/objects/ammo/bolt", size = v2f(128, 32) * ratio }
textures.ammo_poison_bolt = { path = "texture/objects/ammo/bolt_poison", size = v2f(128, 14) * ratio }
textures.ammo_heal_shot = { path = "texture/objects/ammo/heal_shot", size = v2f(128, 64) * ratio }

-- UI ---------------------
--Tutorial Images
textures.tutorial_window = { path = "texture/UI/game/tutorial_box", size = v2f(720, 192)*ratio }
--textures.tutorial_finger = { path = "UI/game/tutorial_finger", size = v2f(119, 710)*ratio }
textures.tutorial_pointer = { path = "texture/UI/game/tutorial_arrow", size = v2f(211, 128)*ratio }
textures.tutorial_circle = { path = "texture/UI/game/tutorial_circle", size = v2f(186, 150)*ratio }
textures.go_arrow = { path = "texture/UI/game/go_arrow", size = v2f(88, 163)*ratio }

--Unit Icons
textures.icon_archer = { path = "texture/UI/game/units/icon_archer", size = v2f(57,57) }
textures.icon_blacksmith_warrior = { path = "texture/UI/game/units/icon_blacksmith_warrior", size = v2f(57,57) }
textures.icon_duke_henry = { path = "texture/UI/game/units/icon_duke_henry", size = v2f(57,57) }
textures.icon_heavy_swordsman = { path = "texture/UI/game/units/icon_heavy_swordsman", size = v2f(57,57) }
textures.icon_knight = { path = "texture/UI/game/units/icon_knight", size = v2f(57,57) }
textures.icon_peasant = { path = "texture/UI/game/units/icon_peasant", size = v2f(57,57) }
textures.icon_spearman = { path = "texture/UI/game/units/icon_spearman", size = v2f(57,57) }
textures.icon_swordboy = { path = "texture/UI/game/units/icon_swordboy", size = v2f(57,57) }
textures.icon_swordsman = { path = "texture/UI/game/units/icon_swordsman", size = v2f(57,57) }
textures.icon_torchboy = { path = "texture/UI/game/units/icon_torchboy", size = v2f(57,57) }
textures.icon_wise_man = { path = "texture/UI/game/units/icon_wise_man", size = v2f(57,57) }
textures.icon_locked = { path = "texture/UI/game/units/locked_icon", size = v2f(57,57) }
textures.icon_blank = { path = "texture/UI/game/units/icon_blank", size = v2f(57,57) }
textures.icon_generic = { path = "texture/UI/game/units/icon_generic", size = v2f(57,57) }
textures.icon_ash_upgrade = { path = "texture/UI/game/units/icon_ash_upgrade", size = v2f(57, 57) }
textures.icon_arthur = { path = "texture/UI/game/units/icon_arthur", size = v2f(57, 57) }

--Spell Upgrade Icons
textures.icon_upgrade_super_boomstick = { path = "texture/UI/menu/upgrade/icon_boomstick_blast_upgrade", size = v2f(57, 57) }
textures.icon_upgrade_arrow_volley = { path = "texture/UI/menu/upgrade/arrow_volly_upgrade", size = v2f(57, 57) }
textures.icon_upgrade_magic_words = { path = "texture/UI/menu/upgrade/icon_words_upgrade", size = v2f(57, 57) }
textures.icon_catapult_volley_upgrade = { path = "texture/UI/menu/upgrade/catapult_volley_upgrade", size = v2f(57, 57) }

--Spell game icons
textures.icon_super_boomstick = { path = "texture/UI/game/spells/super_boomstick_button", size = v2f(151, 119) * ratio }
textures.icon_arrow_volley = { path = "texture/UI/game/spells/arrow_volley_button", size = v2f(151, 119) * ratio }
textures.icon_magic_words = { path = "texture/UI/game/spells/words_button", size = v2f(151, 112) * ratio }
textures.icon_deathcoaster = { path = "texture/UI/game/spells/deathcoster_button", size = v2f(151, 109) * ratio }
textures.icon_catapult_volley = { path = "texture/UI/game/spells/catapult_volley_button", size = v2f(151, 117) * ratio }
textures.icon_vortex = { path = "texture/UI/game/spells/vortex_button", size = v2f(151, 120) * ratio }

-- Game HUD Elements
textures.pause_button = { path = "texture/pause_button", size = v2f(87,80) * ratio }
textures.smithy_button = { path = "texture/UI/game/smith_button", size = v2f(133, 128) * ratio }
textures.smithy_button_glow = { path = "texture/UI/game/smith_button_glow", size = v2f(133, 128) * ratio }
textures.smithy_upgrade_bar = { path = "texture/UI/game/smith_upgrade_bar", size = v2f(257, 82) * ratio * v3f(0.95, 0.95) }
textures.smithy_upgrade_bar_locale = { path = "texture/UI/game/smith_upgrade_bar_locale", size = v2f(257, 82) * ratio * v3f(0.95, 0.95) }
textures.smithy_progress_bar_back = { path = "texture/UI/game/smith_bar_back", size = v2f(299, 69) * ratio * v3f(0.95, 0.95)}
textures.smithy_progress_bar = { path = "texture/UI/game/smith_bar", size = v2f(299, 69) * ratio * v3f(0.95, 0.95)}
textures.ash_lifebar_back = { path = "texture/UI/game/ash_lifebar_back", size = v2f(181, 69) * ratio }
textures.ash_lifebar = { path = "texture/UI/game/ash_lifebar", size = v2f(181, 69) * ratio }
textures.ash_life_icon = { path = "texture/UI/game/ash_life_icon", size = v2f(109, 106) * ratio }
textures.blood_overlay = { path = "texture/UI/game/ui_blood_overlay", size = v2f(1024, 145) * ratio }
textures.iron_bar_icon = { path = "texture/UI/game/iron_bar", size = v2f(55, 33) * ratio }
textures.gold_coin_icon ={ path = "texture/UI/game/coin", size = v2f(41, 41) * ratio }
textures.x_button = { path = "texture/UI/menu/x_button", size = v2f(64, 64) * ratio }
textures.heal_icon = { path = "texture/UI/menu/heal_icon", size = v2f(29, 29) * ratio }

textures.enemy_progress_bar_back = { path = "texture/UI/game/enemy_progress_back", size = v2f(384, 62) * ratio }
textures.enemy_progress_bar_front = { path = "texture/UI/game/enemy_progress_front", size = v2f(384, 62) * ratio }
textures.enemy_progress_bar_mid = { path = "texture/UI/game/enemy_progress_mid", size = v2f(347, 28) * ratio }
textures.enemy_progress_danger = { path = "texture/UI/game/enemy_progress_danger", size = v2f(75, 66) * ratio }

textures.health_bar = { path = "texture/UI/game/health_bar_units", size = v2f(1, 4) }

textures.protect_the_book_icon = { path = "texture/UI/game/protect_the_book_icon", size = v2f(153, 157) * ratio }



textures.paused_label = { path = "texture/UI/game/paused", size = v2f(340, 146) * ratio }
textures.resume_button = { path = "texture/UI/game/resume_button", size = v2f(269, 138) * ratio }
textures.resume_button_locale = { path = "texture/UI/game/resume_button_locale", size = v2f(269, 138) * ratio }
textures.continue_button = { path = "texture/UI/game/continue_button", size = v2f(252, 92) * ratio }
textures.quit_button = { path = "texture/UI/game/quit_button", size = v2f(191, 98) * ratio }
textures.quit_button_locale = { path = "texture/UI/game/quit_button_locale", size = v2f(191, 98) * ratio }
textures.restart_button = { path = "texture/UI/game/restart", size = v2f(174, 138) * ratio }

textures.continue_button_locale = { path = "texture/UI/game/continue_button_locale", size = v2f(252, 92) * ratio }

textures.victory_label = { path = "texture/UI/game/victory", size = v2f(621, 169) * ratio }
textures.victory_label_locale = { path = "texture/UI/game/victory_locale", size = v2f(621, 169) * ratio }
textures.defeat_label = { path = "texture/UI/game/deadites_win", size = v2f(659, 162) * ratio }
textures.defeat_label_locale = { path = "texture/UI/game/deadites_win_locale", size = v2f(659, 162) * ratio }
textures.danger_popup = { path = "texture/UI/game/danger_popup", size = v2f(565, 176) * ratio }
textures.danger_popup_locale = { path = "texture/UI/game/danger_popup_locale", size = v2f(565, 176) * ratio }
textures.coin_box = { path = "texture/UI/game/coin_box", size = v2f(586, 88) * ratio }
textures.loading_image = { path = "texture/UI/loading", size = v2f(256, 100) * ratio }

textures.loading_image_locale = { path = "texture/UI/loading_locale", size = v2f(256, 100) * ratio }

-- Menus
-- The sizing for these two textures is based on their sizing and is necessary to 
-- correct sizing issues.
textures.castle_front_background = { path = "texture/UI/menu/castle_front_background", size = v2f(engine.platform.constants.main_menu_camera.window.world_size.y * 1.775, engine.platform.constants.main_menu_camera.window.world_size.y)}
textures.castle_front_mask = { path = "texture/UI/menu/castle_front_mask", size = v2f(textures.castle_front_background.size.x * 0.473, textures.castle_front_background.size.y * 0.54)}

textures.logo = { path = "texture/UI/menu/logo", size = v2f(597.0, 288.0) * ratio }
textures.play_button = { path = "texture/UI/menu/play_button", size = v2f(328.0, 138.0) * ratio }
textures.play_button_locale = { path = "texture/UI/menu/play_button_locale", size = v2f(328.0, 138.0) * ratio }
textures.more_games_button = { path = "texture/UI/menu/more_games_button", size = v2f(328.0, 138.0) * ratio }
textures.more_games_button_locale = { path = "texture/UI/menu/more_games_button_locale", size = v2f(328.0, 138.0) * ratio }
textures.options_button = { path = "texture/UI/menu/options_button", size = v2f(328.0, 138.0) * ratio }
textures.options_button_locale = { path = "texture/UI/menu/options_button_locale", size = v2f(328.0, 138.0) * ratio }
textures.endless_button = { path = "texture/UI/menu/endless_button", size = v2f(328.0, 138.0) * ratio }
textures.endless_button_locale = { path = "texture/UI/menu/endless_button_locale", size = v2f(328.0, 138.0) * ratio }
textures.leaderboards_button = { path = "texture/UI/menu/leaderboards_button", size = v2f(103.0, 103.0) * ratio}
textures.achievements_button = { path = "texture/UI/menu/achievements_button", size = v2f(103.0, 103.0) * ratio * 0.8}
textures.selection_box = { path = "texture/UI/menu/selection_box", size = v2f(648.0, 569.0) * ratio }
textures.back_button = { path = "texture/UI/menu/back_button", size = v2f(139, 75) * ratio }
textures.mgm_logo_bw = { path = "texture/UI/menu/credits/MGMLogoBW", size = v2f(480, 312) * ratio }
textures.new_plaque = { path = "texture/UI/menu/new_plaque", size = v2f(64, 62) * ratio }
textures.new_plaque_locale = { path = "texture/UI/menu/new_plaque_locale", size = v2f(64, 62) * ratio }
textures.granny_logo = { path = "texture/UI/menu/credits/granny-logo", size = v2f(298, 179) * ratio }

-- Menus localized
textures.blank_button_locale = { path = "texture/UI/menu/blank_button_locale", size = v2f(139, 75) * ratio }
textures.blank_background = { path = "texture/UI/menu/blank_background", size = v2f(32, 32) * ratio }

-- Options menu
textures.options_screen_background = { path = "texture/UI/menu/options/options_screen_bg", size = v2f(480.0, 320.0) }
textures.options_screen_background_locale = { path = "texture/UI/menu/options/options_screen_bg_locale", size = v2f(480.0, 320.0) }
textures.sound_button = { path = "texture/UI/menu/options/sound_button", size = v2f(260, 112) * ratio }
textures.music_button = { path = "texture/UI/menu/options/music_button", size = v2f(260, 112) * ratio }
textures.music_button_locale = { path = "texture/UI/menu/options/music_button_locale", size = v2f(260, 112) * ratio }
textures.credits_button = { path = "texture/UI/menu/options/credits_button", size = v2f(220, 93) * ratio }
textures.reset_game_button = { path = "texture/UI/menu/options/reset_game_button", size = v2f(308, 96) * ratio }
textures.restore_purchases_button = { path = "texture/UI/menu/options/restore_purchases_button", size = v2f(512, 114) * ratio }
textures.check_mark = { path = "texture/UI/menu/options/check", size = v2f(84, 82) * ratio }
textures.intro_button = { path = "texture/UI/menu/options/intro_button", size = v2f(168,89)*ratio }
textures.privacy_button = { path = "texture/UI/menu/privacy_button", size = v2f(170.0, 83.0)*ratio }
textures.privacy_button_text = { path = "texture/UI/menu/options/privacy_button_text", size = v2f(170.0, 83.0)*ratio }
textures.legal_button = { path = "texture/UI/menu/options/legal_button", size = v2f(210, 63)*ratio }

--Upgrade Unit Menu
textures.upgrade_background = { path = "texture/UI/menu/upgrade/upgrade_background", size = v2f(480.0, 320.0) }
textures.upgrade_background_locale = { path = "texture/UI/menu/upgrade/upgrade_background_locale", size = v2f(480.0, 320.0) }
textures.menu_button = { path = "texture/UI/menu/upgrade/menu_button", size = v2f(139, 75)*ratio }
textures.gold_box = { path = "texture/UI/menu/upgrade/gold_box", size = v2f(293, 88)*ratio }
textures.upgrade_gold_coin = { path = "texture/UI/menu/upgrade/coin", size = v2f(75, 74)*ratio }
textures.buy_coins_button = { path = "texture/UI/menu/upgrade/buy_coins_button", size = v2f(120, 95)*ratio }
textures.scroll_region = { path = "texture/UI/menu/upgrade/scroll_region___omg_this_was_a_waste_of_space___", size = v2f(364, 211+15.5) }
textures.scroll_region_top = { path = "texture/UI/menu/upgrade/scroll_region_top", size = v2f(364, 4*0.46875) }
textures.scroll_region_right = { path = "texture/UI/menu/upgrade/scroll_region_right", size = v2f(5*0.46875, 211+15.5) }
textures.scroll_region_bottom = { path = "texture/UI/menu/upgrade/scroll_region_bottom", size = v2f(364, 4*0.46875) }
textures.watch_ad_button = { path = "texture/UI/menu/upgrade/watch_ad_button", size = v2f(259, 75) * 0.66 }
textures.incent_ad_background = { path = "texture/UI/menu/upgrade/incent_ad_background", size = v2f(1036, 775) * 0.33}
textures.incent_ad_yes = { path = "texture/UI/menu/upgrade/incent_ad_yes", size = v2f(141, 75) * 0.66}
textures.incent_ad_no = { path = "texture/UI/menu/upgrade/incent_ad_no", size = v2f(141, 75) * 0.66}
textures.buy_coins_button_locale = { path = "texture/UI/menu/upgrade/buy_coins_button_locale", size = v2f(120, 95)*ratio }
textures.video_icon = { path = "texture/UI/menu/upgrade/video_icon", size = v2f(50, 50) }

textures.tab_inactive = { path = "texture/UI/menu/upgrade/tab_inactive", size = v2f(116, 70+5.5) }
textures.tab_active = { path = "texture/UI/menu/upgrade/tab_active", size = v2f(116, 70+5.5) }
textures.upgrade_box = { path = "texture/UI/menu/upgrade/upgrade_box", size = v2f(719, 137)*ratio }
textures.attack_icon = { path = "texture/UI/menu/upgrade/attack_icon", size = v2f(29, 35)*ratio }
textures.health_icon = { path = "texture/UI/menu/upgrade/health_icon", size = v2f(32, 32)*ratio }
textures.chainsaw_icon = { path = "texture/UI/menu/upgrade/chainsaw_icon", size = v2f(32, 32)*ratio }
textures.boomstick_icon = { path = "texture/UI/menu/upgrade/boomstick_icon", size = v2f(32, 32)*ratio }
textures.iron_fist_icon = { path = "texture/UI/menu/upgrade/iron_fist_icon", size = v2f(32, 32)*ratio }
textures.troop_icon = { path = "texture/UI/menu/upgrade/troop_icon", size = v2f(32, 32)*ratio }

textures.upgrade_button_blank = { path = "texture/UI/menu/upgrade/upgrade_button_blank", size = v2f(152, 120)*ratio }

textures.scroll_bar = { path = "texture/UI/menu/upgrade/scroll_bar", size = v2f(16.4, 209.4+15.5) }
textures.scroll_control = { path = "texture/UI/menu/upgrade/scroll_controll", size = v2f(23, 73)*ratio }

textures.metal_fist_upgrade = { path = "texture/UI/menu/upgrade/metal_fist_upgrade", size = v2f(57, 57) }
textures.chainsaw_upgrade = { path = "texture/UI/menu/upgrade/chainsaw_upgrade", size = v2f(57, 57) }
textures.pit_upgrade = { path = "texture/UI/menu/upgrade/icon_pit_upgrade", size = v2f(57, 57) }
textures.catapult_upgrade = { path = "texture/UI/menu/upgrade/icon_wall_catapult_upgrade", size = v2f(57, 57) }
textures.wall_archers_upgrade = { path = "texture/UI/menu/upgrade/icon_wall_archers_upgrade", size = v2f(57, 57) }
textures.book_gate_upgrade = { path = "texture/UI/menu/upgrade/icon_book_gate_upgrade", size = v2f(57, 57) }
textures.blacksmith_upgrade = { path = "texture/UI/menu/upgrade/icon_blacksmith_upgrade", size = v2f(57, 57) }
textures.deathcoaster_upgrade = { path = "texture/UI/menu/upgrade/deathcoster_upgrade", size = v2f(57, 57) }
textures.vortex_upgrade = { path = "texture/UI/menu/upgrade/icon_vortex_upgrade", size = v2f(57, 57) }

textures.coinstore_popup = { path = "texture/UI/menu/upgrade/Coin_Store_popup", size = v2f(467, 682)*ratio }
textures.coinstore_button = { path = "texture/UI/menu/upgrade/button_coinstore", size = v2f(406, 104)*ratio }


-- Particles
textures.particle_circle = { path = "texture/particles/circle", size = v2f(16, 16) * ratio }
textures.particle_spark = { path = "texture/particles/spark", size = v2f(23, 23) * ratio }


------------
-- Meshes --
------------
meshes  = {}

getMesh = chunks.meshes.get_mesh_spawner("")

--meshes.icon = { path = "texture/icon" }

------------
-- Sounds --
------------
sounds = {}

getSound = chunks.sounds.get_sound_spawner("")
playSound = chunks.sounds.play_sound_spawner("")
playLoopingSound = chunks.sounds.play_looping_sound_spawner("")

--sounds.button_click = { path = "texture/click" }
sounds.button_click_wav = { path = "sound/ui/button_02" }
sounds.error = { path = "sound/ui/disabled_click_02" }
sounds.horse_gallop = { path = "sound/fx/gallop-1" }
sounds.horse_whinny = { path = "sound/fx/whinny-3" }
sounds.horse_snort = { path = "sound/fx/whinny-5" }
sounds.smithy_upgrade = { path = "sound/objects/units/spawn/blacksmith_ill_stand_by_ya" }
sounds.upgrade = { path = "sound/ui/upgrade_05" }
sounds.unlock = { path = "sound/ui/upgrade_01" }

sounds.soldier_a_scout_approaches = { path = "sound/objects/effects/soldier_a_scout_approaches" }

-- Level Win sounds
sounds.boomstick = { path = "sound/objects/level/outros/ash_boomstick" }
sounds.buckle_up_bonehead = { path = "sound/objects/level/outros/ash_buckle_up_bonehead" }
sounds.cry_to_mama = { path = "sound/objects/level/outros/ash_cry_to_mama" }
sounds.give_me_some_sugar_baby = { path = "sound/objects/level/outros/ash_give_me_some_sugar_baby" }
sounds.guy_with_the_gun = { path = "sound/objects/level/outros/ash_guy_with_the_gun" }
sounds.hail_to_the_king_baby = { path = "sound/objects/level/outros/ash_hail_to_the_king_baby" }
sounds.names_ash_housewares = { path = "sound/objects/level/outros/ash_names_ash_housewares" }
sounds.next_one_of_you_primates = { path = "sound/objects/level/outros/ash_next_one_of_you_primates" }
sounds.pillow_talk = { path = "sound/objects/level/outros/ash_pillow_talk" }
sounds.shop_s_mart = { path = "sound/objects/level/outros/ash_thats_right_shop_smart" }
sounds.hello_mr_fancy_pants = { path = "sound/objects/level/outros/ash_hello_mr_fancy_pants" }
sounds.london_bridge = { path = "sound/objects/level/outros/ash_london_bridge" }
sounds.cheer = { path = "sound/objects/effects/group_cheer" }

-- Ash kill sounds
sounds.bye_bye = { path = "sound/objects/skills/ash_bye_bye" }
sounds.come_get_some = { path = "sound/objects/skills/ash_come_get_some" }
sounds.come_to_papa = { path = "sound/objects/skills/ash_come_to_papa" }
sounds.groovy = { path = "sound/objects/skills/ash_groovy" }
sounds.howd_you_like_the_taste_of_that = { path = "sound/objects/skills/ash_howd_you_like_the_taste_of_that" }
sounds.shoelace = { path = "sound/objects/skills/ash_shoelace" }
sounds.that_will_teach_you = { path = "sound/objects/skills/ash_that_will_teach_you" }
sounds.thats_gotta_hurt = { path = "sound/objects/skills/ash_thats_gotta_hurt" }
sounds.whats_that_you_got_on_your_face = { path = "sound/objects/skills/ash_whats_that_you_got_on_your_face" }
sounds.who_wants_some = { path = "sound/objects/skills/ash_who_wants_some" }
sounds.whos_next = { path = "sound/objects/skills/ash_whos_next" }

--Spell sounds
sounds.words_fail = { path = "sound/objects/skills/ash_words_necktie_short" }
sounds.words_success = { path = "sound/objects/skills/ash_words_cough" }
sounds.deathcoaster_loop = { path = "sound/fx/deathcoaster_special_attack_loop" }

--A Big Wave Is Coming
sounds.push_sounds = {
    { path = "sound/objects/level/big_wave/deadite_death_to_the_mortals" },
    { path = "sound/objects/level/big_wave/deadite_kill_the_mortals" },
    { path = "sound/objects/level/big_wave/deadite_weve_broken_through" },
}

--Item pickup
sounds.pickup_iron = { path = "sound/fx/pickup_iron_03" }
sounds.pickup_gold = { path = "sound/fx/pickup_gold" }

--Ash pain
sounds.ash_pain_sounds = {
    { path = "sound/objects/units/take_damage/Ash_Pain_8" },
    { path = "sound/objects/units/take_damage/Ash_Pain_10" },
    { path = "sound/objects/units/take_damage/Ash_Pain_17" },
    { path = "sound/objects/units/take_damage/Ash_Pain_18" },
    { path = "sound/objects/units/take_damage/Ash_Pain_26" },
    { path = "sound/objects/units/take_damage/Ash_Pain_29" },
    { path = "sound/objects/units/take_damage/Ash_Pain_37" },
    { path = "sound/objects/units/take_damage/Ash_Pain_47" },
    { path = "sound/objects/units/take_damage/Ash_Pain_48" },
    { path = "sound/objects/units/take_damage/Ash_Pain_49" },
}
-----------
-- Music --
-----------
music = {}

-- Menu
music.loop  = { uri = "?://music/loop", loops = true, volume = 0.6 }
music.menu = music.loop
music.prologue  = { uri = "?://music/prologue", loops = true, volume = 0.6 }
music.in_game_1  = { uri = "?://music/in_game_1", loops = true, volume = 0.6 }
music.in_game_2  = { uri = "?://music/in_game_2", loops = true, volume = 0.6 }


function findSongByPathName(name)
    local uri = "music://" .. name
    for k,v in pairs(music) do
        if v.uri == uri then
            return v
        end
    end

    return nil
end

-----------
-- Misc  --
-----------
misc = {}
