module(...,package.seeall)

function spawn(engine, chunks, game, spawn_data, default_sprite_spawner)
	local scene = game:getScene()
	local size_ratio = spawn_data.size / v2f(1024,512)
	local location = spawn_data.info.location


	if spawn_data.info.texture == "?://texture/objects/world/bg_part1" then
		-- bottom
		do
			local s = scene:spawn(SpriteActor())
			s.location = v3f(location.x, location.y - 256 * 0.5 * size_ratio.y, location.z)
			s.material = Material.default_opaque
			s.texture = "?://texture/objects/world/bg_part1_bottom"
			s.size = v2f(2048,512) * 0.5 * size_ratio
			s.texture.filter = TextureResource.Filter_Nearest
		end

		-- middle
		do
			local s = scene:spawn(SpriteActor())
			s.location = v3f(location.x, location.y + 64 * 0.5 * size_ratio.y, location.z)
			s.material = Material.default_opaque
			s.texture = "?://texture/objects/world/bg_part1_middle"
			s.size = v2f(2048,128) * 0.5 * size_ratio
			s.texture.filter = TextureResource.Filter_Nearest
		end

		-- middle (alpha)
		do
			local s = scene:spawn(SpriteActor())
			s.location = v3f(location.x, location.y + (128 + 32) * 0.5 * size_ratio.y, location.z)
			s.texture = "?://texture/objects/world/bg_part1_middle_alpha"
			s.size = v2f(2048,64) * 0.5 * size_ratio
			s.texture.filter = TextureResource.Filter_Nearest
		end

		-- top left
		do
			local s = scene:spawn(SpriteActor())
			s.location = v3f(location.x - (1024.0 - (387.0 / 2.0)) * 0.5 * size_ratio.x, 
							 location.y + (128 + 64 + 160) * 0.5 * size_ratio.y, location.z)
			s.texture = "?://texture/objects/world/bg_part1_topleft"
			s.size = v2f(387, 320) * 0.5 * size_ratio
			s.texture.filter = TextureResource.Filter_Nearest
		end

		-- top right, left
		do
			local s = scene:spawn(SpriteActor())
			s.location = v3f(location.x - (1024.0 - 795.0 - (138.0 / 2.0)) * 0.5 * size_ratio.x, 
							 location.y + (128 + 64 + 160) * 0.5 * size_ratio.y, location.z)
			s.texture = "?://texture/objects/world/bg_part1_topright_left"
			s.size = v2f(138, 320) * 0.5 * size_ratio
			s.texture.filter = TextureResource.Filter_Nearest
		end

		-- top right, middle
		do
			local s = scene:spawn(SpriteActor())
			s.location = v3f(location.x - (1024.0 - 795.0 - 138.0 - (256.0 / 2.0)) * 0.5 * size_ratio.x, 
							 location.y + (128 + 64 + 160) * 0.5 * size_ratio.y, location.z)
			s.material = Material.default_opaque
			s.texture = "?://texture/objects/world/bg_part1_topright_middle"
			s.size = v2f(256, 320) * 0.5 * size_ratio
			s.texture.filter = TextureResource.Filter_Nearest
		end

		-- top right, right
		do
			local s = scene:spawn(SpriteActor())
			s.location = v3f(location.x - (1024.0 - 795.0 - 138.0 - 256.0 - (135.0 / 2.0)) * 0.5 * size_ratio.x, 
							 location.y + (128 + 64 + 160) * 0.5 * size_ratio.y, location.z)
			s.texture = "?://texture/objects/world/bg_part1_topright_right"
			s.size = v2f(135, 320) * 0.5 * size_ratio
			s.texture.filter = TextureResource.Filter_Nearest
		end

	elseif spawn_data.info.texture == "?://texture/objects/world/bg_part2" then
		-- bottom
		do
			local s = scene:spawn(SpriteActor())
			s.location = v3f(location.x, location.y - 256 * 0.5 * size_ratio.y, location.z)
			s.material = Material.default_opaque
			s.texture = "?://texture/objects/world/bg_part2_bottom"
			s.size = v2f(2048,512) * 0.5 * size_ratio
			s.texture.filter = TextureResource.Filter_Nearest
		end

		-- middle
		do
			local s = scene:spawn(SpriteActor())
			s.location = v3f(location.x, location.y + 64 * 0.5 * size_ratio.y, location.z)
			s.material = Material.default_opaque
			s.texture = "?://texture/objects/world/bg_part2_middle"
			s.size = v2f(2048,128) * 0.5 * size_ratio
			s.texture.filter = TextureResource.Filter_Nearest
		end

		-- middle (alpha)
		do
			local s = scene:spawn(SpriteActor())
			s.location = v3f(location.x, location.y + (128 + 32) * 0.5 * size_ratio.y, location.z)
			s.texture = "?://texture/objects/world/bg_part2_middle_alpha"
			s.size = v2f(2048,64) * 0.5 * size_ratio
			s.texture.filter = TextureResource.Filter_Nearest
		end

		-- top left
		do
			local s = scene:spawn(SpriteActor())
			s.location = v3f(location.x - (1024.0 - 464.0 - (569.0 / 2.0)) * 0.5 * size_ratio.x, 
							 location.y + (128 + 64 + 68.0/2) * 0.5 * size_ratio.y, location.z)
			s.texture = "?://texture/objects/world/bg_part2_top_left"
			s.size = v2f(569,68) * 0.5 * size_ratio
			s.texture.filter = TextureResource.Filter_Nearest
		end

		-- top middle
		do
			local s = scene:spawn(SpriteActor())
			s.location = v3f(location.x - (1024.0 - 1320.0 - (256.0 / 2.0)) * 0.5 * size_ratio.x, 
							 location.y + (128 + 64 + 32.0/2) * 0.5 * size_ratio.y, location.z)
			s.texture = "?://texture/objects/world/bg_part2_top_middle"
			s.size = v2f(256, 32) * 0.5 * size_ratio
			s.texture.filter = TextureResource.Filter_Nearest
		end

		-- top right
		do
			local s = scene:spawn(SpriteActor())
			s.location = v3f(location.x - (1024.0 - 1604.0 - (416.0 / 2.0)) * 0.5 * size_ratio.x, 
							 location.y + (128 + 64 + 232.0/2) * 0.5 * size_ratio.y, location.z)
			s.texture = "?://texture/objects/world/bg_part2_top_right"
			s.size = v2f(416, 232) * 0.5 * size_ratio
			s.texture.filter = TextureResource.Filter_Nearest
		end
	else
		return default_sprite_spawner(spawn_data)
	end
end

