------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Chunks             --
------------------------

-- module --
module(...,package.seeall)

engine.instance.chunks = {}

local engine      = engine.instance
local chunks      = engine.chunks

-- chunks --
chunks.pool                = require("common.pool")
chunks.globals             = require("globals")
chunks.util                = require("common.util")
chunks.class               = require("common.class")
chunks.meshes              = require("common.meshes")
chunks.textures            = require("common.textures")
chunks.sounds              = require("common.sounds")
chunks.music               = require("common.music")
chunks.baseunit            = require("common.baseunit")
chunks.assets              = require("assets")
chunks.events              = require("events")
chunks.analytics		   = require("analytics")
chunks.loading_game        = require("loading_game")
chunks.iap                 = require("iap")
chunks.incent_ads          = require("incent_ads")

chunks.ammo = require("objects.ammo")
chunks.spells = require("objects.spells")
chunks.weapons = require("objects.weapons")
chunks.items = require("objects.items")
chunks.units = require("objects.units")
chunks.waves = require("objects.waves")
chunks.load = require("objects.load")

chunks.achievements  = require("achievements")

chunks.popup    = require("menu.popup")
chunks.infopopup    = require("menu.infopopup")
chunks.main_menu_window    = require("menu.main.mainmenuwindow")
chunks.main_menu_window    = require("menu.main.mainmenuwindow")
chunks.main_menu           = require("menu.main.mainmenu")
chunks.unlocked_menu_window    = require("menu.unlocked_menu.unlockedmenuwindow")
chunks.unlocked_menu           = require("menu.unlocked_menu.unlockedmenu")
chunks.upgrade_info_window    = require("menu.temp_upgrade.upgradeinfowindow")
chunks.upgrade_menu_window    = require("menu.temp_upgrade.upgrademenuwindow")
chunks.upgrade_menu           = require("menu.temp_upgrade.upgrademenu")
chunks.infowindow = require("menu.upgrade_unit.infowindow")
chunks.coinstore = require("menu.upgrade_unit.coinstore")
chunks.incent_ad_menu = require("menu.upgrade_unit.incentadmenu")
chunks.troop_cell    = require("menu.upgrade_unit.troopcell")
chunks.castle_cell    = require("menu.upgrade_unit.castlecell")
chunks.weapon_cell    = require("menu.upgrade_unit.weaponcell")
chunks.ash_cell    = require("menu.upgrade_unit.ashcell")
chunks.spell_cell    = require("menu.upgrade_unit.spellcell")
chunks.upgrade_unit_menu_window    = require("menu.upgrade_unit.upgradeunitmenuwindow")
chunks.upgrade_unit_menu           = require("menu.upgrade_unit.upgradeunitmenu")
chunks.select_spell_window    = require("menu.select_unit.selectspellwindow")
chunks.select_unit_window    = require("menu.select_unit.selectunitwindow")
chunks.select_unit_menu           = require("menu.select_unit.selectunitmenu")
chunks.debug_options_menu_window    = require("menu.options.debugoptionsmenuwindow")
chunks.debug_options_menu           = require("menu.options.debugoptionsmenu")
chunks.options_reset_popup    = require("menu.options.optionsresetpopup")
chunks.options_menu_window    = require("menu.options.optionsmenuwindow")
chunks.options_menu           = require("menu.options.optionsmenu")
chunks.credits           		= require("menu.credits.credits")
chunks.credits_menu           = require("menu.credits.creditsmenu")
chunks.cooldown_button = require("game.cooldownbutton")
chunks.main_game_window    = require("game.maingamewindow")
chunks.main_game           = require("game.maingame")
chunks.pause_window           = require("game.pausewindow")

chunks.allyunit = require("objects.custom.allyunit")
chunks.enemyunit = require("objects.custom.enemyunit")
chunks.ash = require("objects.custom.ash")
chunks.deathcoaster = require("objects.custom.deathcoaster")
chunks.deathcoaster_spell = require("objects.custom.deathcoaster_spell")
chunks.arrows_spell = require("objects.custom.arrows_spell")
chunks.catapult_spell = require("objects.custom.catapult_spell")
chunks.super_boomstick_blast_spell = require("objects.custom.super_boomstick_blast_spell")
chunks.vortex_spell = require("objects.custom.vortex_spell")
chunks.magic_words_spell = require("objects.custom.magic_words_spell")
chunks.catapult_ammo = require("objects.custom.catapult_ammo")
chunks.heal_magic_ammo = require("objects.custom.heal_magic_ammo")
chunks.explosive_arrow_ammo = require("objects.custom.explosive_arrow_ammo")
chunks.arrow_volley_ammo = require("objects.custom.arrow_volley_ammo")

chunks.wiseman = require("objects.custom.wiseman")
chunks.torch_sword_boy = require("objects.custom.torch_sword_boy")
chunks.necronomicon = require("objects.custom.necronomicon")
chunks.iron_fist_weapon = require("objects.custom.iron_fist_weapon")
chunks.chainsaw_weapon = require("objects.custom.chainsaw_weapon")
chunks.boomstick_weapon = require("objects.custom.boomstick_weapon")
chunks.super_boomstick_weapon = require("objects.custom.super_boomstick_weapon")
chunks.pit = require("objects.custom.pit")
chunks.smithy = require("objects.custom.smithy")
chunks.evil_ash = require("objects.custom.evil_ash")

chunks.tutorial = require("tutorials.tutorial_helpers")
chunks.base_tutorial = require("tutorials.base")
chunks.wave_01 = require("tutorials.wave_01")
chunks.wave_02 = require("tutorials.wave_02")
chunks.wave_03 = require("tutorials.wave_03")
chunks.endless = require("tutorials.endless")
chunks.default = require("tutorials.default")
