-- module --
module(...,package.seeall)

local world_size_y = 320.0 + ( ( 768.0 - 320.0 * ( 1024.0 / 480.0 ) ) / 2.0 )
local screen_size = DeviceInfo.get():query( "display.size" ) 

game_camera = {
	-- scene camera info
	scene = 
	{
		viewport_offset = v2f( 0.0, 0.0 ),
		viewport_size   = v2f( 1024.0, 768.0 ),
		screen_size     = v2f( 1024.0, 768.0 ),
		world_size      = v2f( 480.0, world_size_y ),
		clipping_planes = v2f( 500.0, -500.0 ),
		scroll_speed    = 300
	},

	-- window camera info
	window = 
	{
		viewport_offset = v2f( 0.0, 0.0 ),
		viewport_size   = v2f( 1024.0, 768.0 ),
		screen_size     = v2f( 1024.0, 768.0 ),
		world_size      = v2f( 480.0, world_size_y ),
		clipping_planes = v2f( 500.0, -500.0 )
	}
}

main_menu_camera = {
	-- scene camera info
	scene = 
	{
		viewport_offset = v2f( 0.0, 0.0 ),
		viewport_size   = v2f( screen_size ),
		screen_size     = v2f( screen_size ),
		world_size      = v2f( 480.0, world_size_y ),
		clipping_planes = v2f( 500.0, -500.0 )
	},

	-- window camera info
	window = 
	{
		viewport_offset = v2f( 0.0, 0.0 ),
		viewport_size   = v2f( screen_size ),
		screen_size     = v2f( screen_size ),
		world_size      = v2f( 480.0, world_size_y ),
		clipping_planes = v2f( 500.0, -500.0 )
	}
}

-- other
clear_color		= colorf( 0.0, 0.0, 0.0, 1.0 )
clear_color_on	= true
loading_clear_color_on = false
clear_depth_on	= true
delta_time_cap	= 1.0 / 25.0

-- Menu overrides.
function main_menu_overrides()
	local engine = engine.instance
	local chunks = engine.chunks
	local assets = chunks.assets 
	
	-- Override menus.
	do
		--assets.textures.castle_front_background.size = v2f(480.0, world_size_y)
	end
end

function options_menu_overrides()
	local engine = engine.instance
	local chunks = engine.chunks
	local assets = chunks.assets 
	
	-- Override menus.
	do
		assets.textures.options_screen_background.size = v2f(480.0, world_size_y)
		assets.textures.options_screen_background_locale.size = v2f(480.0, world_size_y)
	end
end

-- Game overrides.
function game_overrides()
	
end

bubble_text_scale = 0.46875

background_loader = require("objects.background_sgx")

