------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Constants          --
------------------------

-- module --
module(...,package.seeall)

local screen_size = DeviceInfo.get():query( "display.size" )
local aspect_ratio = screen_size.x / screen_size.y
widescreen = aspect_ratio >= (16.0/10.0) and aspect_ratio <= (16.0/8.0)

game_camera = {
    -- scene camera info
    scene =
    {
        viewport_offset = v2f( 0.0, 0.0 ),
        viewport_size   = v2f( screen_size * 2.0 ),
        screen_size     = v2f( screen_size * 2.0 ),
        world_size      = v2f( screen_size ),
        clipping_planes = v2f( 500.0, -500.0 ),
        scroll_speed    = 300
    },

    -- window camera info
    window =
    {
        viewport_offset = v2f( 0.0, 0.0 ),
        viewport_size   = v2f( screen_size * 2.0 ),
        screen_size     = v2f( screen_size * 2.0 ),
        world_size      = v2f( screen_size ),
        clipping_planes = v2f( 500.0, -500.0 )
    }
}

main_menu_camera = {
    -- scene camera info
    scene =
    {
        viewport_offset = v2f( 0.0, 0.0 ),
        viewport_size   = v2f( screen_size * 2.0 ),
        screen_size     = v2f( screen_size * 2.0 ),
        world_size      = v2f( screen_size ),
        clipping_planes = v2f( 500.0, -500.0 )
    },

    -- window camera info
    window =
    {
        viewport_offset = v2f( 0.0, 0.0 ),
        viewport_size   = v2f( screen_size * 2.0 ),
        screen_size     = v2f( screen_size * 2.0 ),
        world_size      = v2f( screen_size ),
        clipping_planes = v2f( 500.0, -500.0 )
    }
}

-- other
clear_color     = colorf( 0.0, 0.0, 0.0, 1.0 )
clear_color_on  = true
loading_clear_color_on = false
clear_depth_on  = true
delta_time_cap  = 1.0 / 25.0

bubble_text_scale = 0.5

background_loader = require("objects.background_sgx")

