module(...,package.seeall)
-- includes --
local engine = engine.instance
local chunks = engine.chunks
local assets = chunks.assets

local normal_font_size = 18.0
local default_text_color = colorf(1.0, 1.0, 1.0, 1.0)
local heading1_format = {"Helvetica-Bold", normal_font_size * 2.5, default_text_color}
local heading2_format = {"Helvetica-Bold", normal_font_size * 1.5, default_text_color}
local heading3_format = {"Helvetica-Bold", normal_font_size * 0.66, default_text_color}
local normal_text_format = {"Helvetica-Bold", normal_font_size, default_text_color}

scroll_speed = 30

data = {
	{
		texture = assets.textures.logo
	},
	{
		text = "Backflip Studios",
		format = heading1_format,
	},
	{
		text = " ",
		format = heading3_format,
	},
	{
		text = "Executive Producer",
		format = heading2_format,
	},
	{
		text = "Julian Farrior",
		format = normal_text_format,
	},
	{
		text = " ",
		format = heading3_format,
	},
	{
		text = "Technical Director",
		format = heading2_format,
	},
	{
		text = "Dale Thoms",
		format = normal_text_format,
	},
	{
		text = " ",
		format = heading3_format,
	},
	{
		text = "Lead Game Designer",
		format = heading2_format,
	},
	{
		text = "Tom Blind",
		format = normal_text_format,
	},
	{
		text = " ",
		format = heading3_format,
	},
	{
		text = "Art Director",
		format = heading2_format,
	},
	{
		text = "Ryan Drag",
		format = normal_text_format,
	},
	{
		text = " ",
		format = heading3_format,
	},
	{
		text = "Project Manager",
		format = heading2_format,
	},
	{
		text = "Bryan Mashinter",
		format = normal_text_format,
	},
	{
		text = " ",
		format = heading3_format,
	},
	{
		text = "Game Programming",
		format = heading2_format,
	},
	{
		text = "Mike Lewandowski",
		format = normal_text_format,
	},
	{
		text = "Zack Smith",
		format = normal_text_format,
	},
	{
		text = " ",
		format = heading3_format,
	},
	{
		text = "Engine Programming",
		format = heading2_format,
	},
	{
		text = "Justin Larrabee",
		format = normal_text_format,
	},
	{
		text = "Kevin Depue",
		format = normal_text_format,
	},
	{
		text = "Ambrose Krapacs",
		format = normal_text_format,
	},
	{
		text = "Nic Foster",
		format = normal_text_format,
	},
	{
		text = "Curtis Bennett",
		format = normal_text_format,
	},
	{
		text = " ",
		format = heading3_format,
	},
	{
		text = "Additional Programming",
		format = heading2_format,
	},
	{
		text = "Tye Hooley",
		format = normal_text_format,
	},
	{
		text = "Addison LeMessurier",
		format = normal_text_format,
	},
	{
		text = "Ethan Pendergraft",
		format = normal_text_format,
	},
	{
		text = "Kyle Roucis",
		format = normal_text_format,
	},
	{
		text = " ",
		format = heading3_format,
	},
	{
		text = "live_producer",
		format = heading2_format
	},
	{
		text = "Jess Harpley",
		format = normal_text_format,
	},
	{
		text = " ",
		format = heading3_format,
	},
	{
		text = "Game Design",
		format = heading2_format,
	},
	{
		text = "Ben Scott Harper",
		format = normal_text_format,
	},
	{
		text = " ",
		format = heading3_format,
	},
	{
		text = "Art",
		format = heading2_format,
	},
	{
		text = "Adam Roark",
		format = normal_text_format,
	},
	{
		text = "Tommy Zhou",
		format = normal_text_format,
	},
	{
		text = " ",
		format = heading3_format,
	},
	{
		text = "Additional Art",
		format = heading2_format,
	},
	{
		text = "Annie Fodge",
		format = normal_text_format,
	},
	{
		text = "James Larson",
		format = normal_text_format,
	},
	{
		text = "Thomas Olson",
		format = normal_text_format,
	},
	{
		text = "Brian Vinton",
		format = normal_text_format,
	},
	{
		text = " ",
		format = heading3_format,
	},
	{
		text = "Sound & Music",
		format = heading2_format,
	},
	{
		text = "Aubrey Hodges",
		format = normal_text_format,
	},
	{
		text = " ",
		format = heading3_format,
	},
	{
		text = "Director of QA & CS",
		format = heading2_format
	},
	{
		text = "Ron Clement",
		format = normal_text_format,
	},
	{
		text = " ",
		format = heading3_format,
	},
	{
		text = "QA Manager",
		format = heading2_format
	},
	{
		text = "Blaine Loder",
		format = normal_text_format,
	},
	{
		text = " ",
		format = heading3_format,
	},
	{
		text = "Lead Product QA",
		format = heading2_format
	},
	{
		text = "Jordan Sindelar",
		format = normal_text_format,
	},
	{
		text = " ",
		format = heading3_format,
	},
	{
		text = "QA",
		format = heading2_format
	},
	{
		text = "Colby Chavez",
		format = normal_text_format,
	},
	{
		text = "Austin Childers",
		format = normal_text_format,
	},
	{
		text = "Cameron Conrad",
		format = normal_text_format,
	},
	{
		text = "Lauren Cordani",
		format = normal_text_format,
	},
	{
		text = "Martine Della Ruffa",
		format = normal_text_format,
	},
	{
		text = "Adam Dyer",
		format = normal_text_format,
	},
	{
		text = "Max Esayev",
		format = normal_text_format,
	},
	{
		text = "Omar Guzman",
		format = normal_text_format,
	},
	{
		text = "Cyndi Jolley",
		format = normal_text_format,
	},
	{
		text = "Donny Long",
		format = normal_text_format,
	},
	{
		text = "Igor Lobodyuk",
		format = normal_text_format,
	},
	{
		text = "Bob McCabe",
		format = normal_text_format,
	},
	{
		text = "Aileen McCollum",
		format = normal_text_format,
	},
	{
		text = "Aaron McCormick",
		format = normal_text_format,
	},
	{
		text = "Greg McQueen",
		format = normal_text_format,
	},
	{
		text = "Nick Medlock",
		format = normal_text_format,
	},
	{
		text = "Justin Mercier",
		format = normal_text_format,
	},
	{
		text = "Tim Michaud",
		format = normal_text_format,
	},
	{
		text = "Jerry Moncrief",
		format = normal_text_format,
	},
	{
		text = "Geoff Moyer",
		format = normal_text_format,
	},
	{
		text = "Evan Newton",
		format = normal_text_format,
	},
	{
		text = "Kyle Oswald",
		format = normal_text_format,
	},
	{
		text = "Sean Prahinski",
		format = normal_text_format,
	},
	{
		text = "Jennifer Reed",
		format = normal_text_format,
	},
	{
		text = "Justin Seabourn",
		format = normal_text_format,
	},
	{
		text = "Russ Slough",
		format = normal_text_format,
	},
	{
		text = "Doug Summers",
		format = normal_text_format,
	},
	{
		text = "Patrick Tompkins",
		format = normal_text_format,
	},
	{
		text = "William Voss",
		format = normal_text_format,
	},
	{
		text = "Michael Walters",
		format = normal_text_format,
	},
	{
		text = "Erin Whitehorse",
		format = normal_text_format,
	},
	{
		text = "Nick Wilcox",
		format = normal_text_format,
	},
	{
		text = " ",
		format = heading3_format,
	},
	{
		text = "CS Lead",
		format = heading2_format
	},
	{
		text = "Mike McGovern",
		format = normal_text_format,
	},
	{
		text = " ",
		format = heading3_format,
	},
	{
		text = "Customer Service",
		format = heading2_format
	},
	{
		text = "Brandy Long",
		format = normal_text_format,
	},
	{
		text = "Rachel Medrano",
		format = normal_text_format,
	},
	{
		text = "Craig Neff",
		format = normal_text_format,
	},
	{
		text = " ",
		format = heading3_format,
	},
	{
		text = "Special Thanks",
		format = heading2_format
	},
	{
		text = "Jim Packer",
		format = normal_text_format,
	},
	{
		text = "Aaron Berndtson",
		format = normal_text_format,
	},
	{
		text = "Juli Logemann",
		format = normal_text_format,
	},
	{
		text = "Lucy Lathan",
		format = normal_text_format,
	},
	{
		text = "Linda Kim",
		format = normal_text_format,
	},
	{
		text = " ",
		format = heading3_format,
	},
	{
		texture = assets.textures.granny_logo,
	},
	{
		format = heading3_format,
		text = "Uses Granny Animation.",
	},
	{
		text = "Copyright (C) 1999-2010 by RAD Game Tools, Inc.",
	},
	{
		text = " ",
		format = heading3_format,
	},
	{
		texture = assets.textures.mgm_logo_bw,
	},
	{
		format = heading3_format,
		text = "ARMY OF DARKNESS TM & (C) 1993 Orion Pictures Corporation.",
	},
	{
		text = "(C) 2012 Metro-Goldwyn-Mayer Studios Inc. All Rights Reserved.",
	},
	{
		text = " ",
		format = heading3_format,
	},
}

background_units = {
	{
		delay = 12,
		level = 3,
		unit = "henry",
	},
	{
		delay = 2,
		level = 3,
		unit = "archer",
	},
	{
		delay = 6,
		level = 3,
		unit = "horseman",
	},
	{
		delay = 2,
		level = 3,
		unit = "armored_guard",
	},
	{
		delay = 2,
		level = 3,
		unit = "peasant",
	},
	{
		delay = 2,
		level = 3,
		unit = "arthur",
	},
	{
		delay = 1,
		level = 3,
		unit = "archer",
	},
	{
		delay = 1,
		level = 3,
		unit = "archer",
	},
	{
		delay = 2,
		level = 3,
		unit = "peasant",
	},
	{
		delay = 2,
		level = 3,
		unit = "peasant",
	},
	{
		delay = 2,
		level = 3,
		unit = "swordboy",
	},
	{
		delay = 4,
		level = 3,
		unit = "wiseman",
	},
	{
		delay = 2,
		level = 3,
		unit = "peasant",
	},
	{
		delay = 6,
		level = 3,
		unit = "spearman",
	},
	{
		delay = 6,
		level = 3,
		unit = "torchboy",
	},
	{
		delay = 2,
		level = 3,
		unit = "peasant",
	},
	{
		delay = 6,
		level = 3,
		unit = "spearman",
	},
	{
		delay = 6,
		level = 3,
		unit = "swordsman",
	},
	{
		delay = 2,
		level = 3,
		unit = "armored_guard",
	},
	{
		delay = 2,
		level = 3,
		unit = "swordsman",
	},
	{
		delay = 30,
		level = 3,
		unit = "ash",
	},
}
