module(...,package.seeall)
-- includes --
local engine    = engine.instance
local chunks    = engine.chunks
local util      = chunks.util
local pool      = chunks.pool

function cast(caster, type_name, location)
	local game = caster:get():getMainGame()
	--local unit = util.createUnitOnPath(game, "deathcoaster")
	
	local unit_index = game:createGameObject("unit","deathcoaster", 0)
	local unit = unit_index:get()
	if unit == nil then
		return false
	end
	
	local start_loc = Map.get():getFirstPoint(GameObject.TEAM_ALLY)

	unit.location = start_loc - pool.get_v3f(250,0,0)
	
	local orders = PartOrdersIndex(unit_index):get()
	if orders then
		local move_order = MoveOrder(start_loc)
		move_order:setBlocking(true)
		orders:addOrder(move_order, PartOrders.QUEUE_END)
	end
	
	-- Try to offset the unit's render part
	local render = PartRenderIndex(unit_index):get()
	if render then
		local offset = -18.0
		--offset = offset or 18.75; offset = offset * -1.0
		render.render_actor.location = render.render_actor.location + pool.get_v3f(0, offset, -10.0*offset)
		render.render_actor.scale = pool.get_v3f(1.0, 1.0, 0.001)
	end
	
	return true
end