module(...,package.seeall)

local ui_handle = nil

-- function onGameReady()
-- 	local ctx = GameEventContext("on_game_ready")
-- 	GameBridge.instance():dispatchGameEvent(ctx)
-- end

function onShouldExit()
	
    local ui = PlatformUIService.get()
    local quit_func = function(handle, response)
        print( "quit_func" )
        ui_handle = nil
        
        if response.int32 == 0 and response.error == nil then
            GameService.get():exitGame()
        end
    end
   
    if ui then
        local title_string = lstring("quit_dialog_title_android")
        local message_string = lstring("quit_dialog_message_android")
        local confirm_string = lstring("quit_dialog_quit_android")
        local cancel_string = lstring("quit_dialog_cancel_android")
       
        ui_handle = ui:showDialog(title_string, message_string, {confirm_string, cancel_string}, quit_func)
    end
end

function on_more_games()
	local ctx = GameEventContext("more_games")
	GameBridge.instance():dispatchGameEvent(ctx)
end

function on_main_menu_enter()
	--local ctx = GameEventContext("on_main_menu_enter")
	--GameBridge.instance():dispatchGameEvent(ctx)
end

function on_main_menu_exit()
	--local ctx = GameEventContext("on_main_menu_exit")
	--GameBridge.instance():dispatchGameEvent(ctx)
end

ACHIEVEMENTS_SUPPORTED = false --GameBridge.instance():query("achievements.supported")
LEADERBOARDS_SUPPORTED = false --GameBridge.instance():query("leaderboards.supported")

function on_leaderboard_ui(_leaderboard_name )
	if not LEADERBOARDS_SUPPORTED then
	    return
	end

	local ctx = GameEventContext("leaderboard_ui")
	ctx.parameters = {
		name = _leaderboard_name
	}
	GameBridge.instance():dispatchGameEvent(ctx)
end

function on_post_score(_leaderboard_name, _score)
	if not LEADERBOARDS_SUPPORTED then
	    return
	end

	local ctx = GameEventContext("post_score")
	ctx.parameters = {
		name = _leaderboard_name,
        score = tostring(_score)
	}
	GameBridge.instance():dispatchGameEvent(ctx)
end

function on_purchase_price_request(_purchase_names_table )
	local ctx = GameEventContext("on_purchase_price_request")
	ctx.parameters = {
		purchase_names_table = _purchase_names_table
	}
	GameBridge.instance():dispatchGameEvent(ctx)
end

function on_ratings_dialog()
	local ctx = GameEventContext("on_ratings_dialog")
	GameBridge.instance():dispatchGameEvent(ctx)
end

function on_play_intro_sequence(_completion_callback)
    local callback = function()
        ui_handle = nil
        _completion_callback()
    end

    --shawn.harris todo call new platform function
    _completion_callback()

    -- local ui = PlatformUIService.get()
    -- ui_handle = ui:playMovieWithName("iphone.mp4", callback)
end

function restorePurchasedProducts(_callback)
	local ctx = GameEventContext("restore_purchases")
	ctx.parameters = {
        callback = _callback
    }
    GameBridge.instance():dispatchGameEvent(ctx)
end
