module(...,package.seeall)
-- includes --
local engine    = engine.instance
local chunks    = engine.chunks
local pool      = chunks.pool
local util      = chunks.util
local load      = chunks.load

LuaEvilAsh = chunks.class.inherit(chunks.enemyunit.LuaEnemyUnit)
{
	m_original_speed = 0.0,
}

bindToObject = chunks.class.gameObjectBinder(LuaEvilAsh)

function LuaEvilAsh:onBindToObject(object)
	LuaEvilAsh.super.onBindToObject(self, object)

	local actual_object = object:get()
	local movement_part = PartMovementIndex(actual_object:getObjectIndex()):get()
	if movement_part ~= nil then
		self.m_original_speed = movement_part.speed
	end

	self:queueStops()
end

function LuaEvilAsh:queueStops()
	local total_time = 120 --Total time from evil ash spawn to last enemy spawn
	local traverse_time = 30 --Estimated time it takes for evil ash to walk across the level
	local stops = 5 --Number of stops he should make along the way

	local total_stop_time = total_time - traverse_time
	local stop_time = total_stop_time / stops
	local go_time = traverse_time / (stops + 1)
	for i = 1, stops do
		-- Stop moving in a few seconds
		self.owner:addAction(LuaAction(go_time, function(inner)
			local object_index = inner:getObjectIndex()
			local movement_part = PartMovementIndex(object_index):get()
			if movement_part ~= nil then
				movement_part.speed = 0.0
			end
			local orders = PartOrdersIndex(object_index):get()
			if orders ~= nil then
				orders:clearOrders()
			end
			local logic = PartLogicIndex(object_index):get()
			if logic ~= nil then
				logic:requestProcess(0.25)
			end
		end))

		-- Start moving again in a few seconds
		self.owner:addAction(LuaAction(stop_time, function(inner)
			local object_index = inner:getObjectIndex()
			local movement_part = PartMovementIndex(object_index):get()
			if movement_part ~= nil then
				movement_part.speed = self.m_original_speed
			end
			local logic = PartLogicIndex(object_index):get()
			if logic ~= nil then
				logic:requestProcess(1.0/60.0)
			end
		end))
	end
end

---- Callbacks from C++
--function LuaEvilAsh:processPartLogic(part, dt)
--	LuaEvilAsh.super.processPartLogic(self, part, dt)
--
--	print("\t\tEVIL ASH ASKLDDJLJDLAJDJLASLDJLADJAKJLSDJ")
--end
