module(...,package.seeall)
-- includes --
local engine    = engine.instance
local chunks    = engine.chunks
local assets    = chunks.assets
local load      = chunks.load
local util      = chunks.util
local pool      = chunks.pool

LuaExplosiveArrowAmmo = chunks.class.new
{	
	m_hit_target_function = nil
}

bindToObject = chunks.class.gameObjectBinder(LuaExplosiveArrowAmmo)

function LuaExplosiveArrowAmmo:onAmmoHitTarget(ammo_part, damage_info, target)
	local owner = self.owner
	local scene = owner:getMainGame():getScene()
	
	do -- Spawn Explosion Effect
		local explosion = scene:spawn(SpriteActor())
		assets.setTexture(explosion, assets.textures.arrow_explode_effect)
		
		local render_part = PartRenderIndex(owner:getObjectIndex()):get()
		if render_part ~= nil and render_part.render_actor ~= nil then
			explosion.location = render_part.render_actor:getWorldLocation() + pool.get_v3f(0.0, 0.0, 2.0)
		else
			explosion.location = owner:getWorldLocation()
		end	
		
		explosion:addAction(DestroyAction(0.6))
	end
end