-- module --
module(...,package.seeall)

-- includes --
local engine   = engine.instance
local chunks   = engine.chunks
local pool     = chunks.pool
local playlist = Audio.get():createPlaylist()

-- Play a song.
function checkOrPlaySong(song)
    local current_uri = playlist:current():getURI()

    if song.uri ~= current_uri then
   		playlist:clear()
		playlist:add(song.uri)
		local channel = playlist:getChannelGroup()
		channel.volume = song.volume and song.volume or 1.0
		
		if song.loops then
			playlist.loops = true
		end
		playlist:play()
    end
end

function clearPlaylist()
	playlist:stop()
	playlist:clear()
end

function playSong()
    playlist:play()
end

function pauseSong()
    playlist:pause()
end