module(...,package.seeall)
-- includes --
local engine    = engine.instance
local chunks    = engine.chunks
local pool      = chunks.pool
local util      = chunks.util

LuaSmithy = chunks.class.new
{
}

bindToObject = chunks.class.gameObjectBinder(LuaSmithy)

function LuaSmithy:onBindToObject(object)
	local actual_object = self.owner
	
	local render = PartRenderIndex(actual_object:getObjectIndex()):get()
	do  -- Start Animation		
		local options = {
							loop_count = 0,
							start_new_animation_if_the_same = false,
						}
		render:playAnimation("hammertime", options)
	end
	
	do 
		local granny_actor = render:getGrannyActor()
		if granny_actor ~= nil then
			granny_actor.onAnimationEvent = function (actor, animation_name)
				
				-- Setup spark event
				if animation_name == "strike" then
					local owner = actor
					local lifetime = 0.29
					local size_multiplier = 0.5

					local shower = owner:spawn(ParticleSystem())
					shower.texture  = assets.getTexture(assets.textures.particle_spark)
					shower.location = pool.get_v3f(37, 20.0, 1.0)

					-- Set shower parameters
					shower.particle_size             = v2f(assets.textures.particle_circle.size) * size_multiplier
					shower.shape                     = ParticleSystem.Cone
					shower.explosion                 = true
					shower.lifetime                  = lifetime
					shower.lifetime_range            = pool.get_v2f(lifetime * 3, lifetime * 4)
					shower.particles_per_spawn_range = pool.get_v2i(2, 3)
					shower.spawn_frequency_range     = pool.get_v2f(0.04, 0.11)
					shower.speed_range               = pool.get_v2f(50, 150)
					shower.acceleration_range_y      = pool.get_v2f(-350, -450)
					shower.acceleration_range_x      = pool.get_v2f(-50, 50)
					shower.initial_rotation_range    = pool.get_v2f(0, 360.0)
					shower.rotation_speed_range      = pool.get_v2f(360, 720)
					shower.cone_angle_range			 = pool.get_v2f(60, 120)
					shower.position_range			 = pool.get_v2f(10, 30)
					shower.follow_system             = true
					
					shower:addColorRange(pool.get_colorf(1.0, 0.4, 0.0, 1.0))
					shower:addColorRange(pool.get_colorf(1.0, 0.6, 0.0, 1.0))
					shower:addColorRange(pool.get_colorf(1.0, 1.0, 0.0, 1.0))
					--shower:addColorRange(pool.get_colorf(1.0, 1.0, 1.0, 1.0))
					
					shower:addScaleRange(pool.get_v2f(1,1))
					shower:addScaleRange(pool.get_v2f(1,1))
					shower:addScaleRange(pool.get_v2f(1,1))
					shower:addScaleRange(pool.get_v2f(1,1))
					shower:addScaleRange(pool.get_v2f(0,0))
				end
			end
		end
	end
end
