------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Textures           --
------------------------

module(...,package.seeall)

-- Function that generates a setTexture method.
function set_texture_spawner( root_path )
	return function( actor, texture )
		actor.texture = "?://" .. root_path .. texture.path
		actor.size    = texture.size
	end
end

-- Function that generates a setWideTexture method.
-- It ensures that the width of the sprite is the width
-- of the world size.
function set_wide_texture_spawner( root_path )
	return function( actor, texture )
		local game = actor:getGame()
		
		actor.texture = "?://" .. root_path .. texture.path
		actor.size    = v2f( game.window_camera.world_size.x, texture.size.y )
	end
end

-- Function that generates a getTexture method.
function get_texture_spawner( root_path )
	return function( texture )
		return "?://" .. root_path .. texture.path
	end
end