-- module --
module(...,package.seeall)

-- includes --
local engine    = engine.instance
local chunks    = engine.chunks
local constants = engine.platform.constants
local assets    = chunks.assets
local pool      = chunks.pool

LuaUpgradeMenuGame = chunks.class.new
{

}

-- The spawner.
spawn = chunks.class.spawner( SingleTouchWindowGame, LuaUpgradeMenuGame )

function LuaUpgradeMenuGame:created(game)
	print("LuaUpgradeMenuGame:created")
	
	local game_window = game:getWindow()
	
	-- Window camera.
	do
		local camera = game:getWindow():spawn( OrthographicCamera() )

		camera.viewport_offset = constants.main_menu_camera.window.viewport_offset
		camera.viewport_size   = constants.main_menu_camera.window.viewport_size
		camera.screen_size     = constants.main_menu_camera.window.screen_size
		camera.world_size      = constants.main_menu_camera.window.world_size
		camera.clipping_planes = constants.main_menu_camera.window.clipping_planes
		camera.clear_color     = constants.clear_color
		camera.clear_color_on  = constants.clear_color_on
		camera.clear_depth_on  = constants.clear_depth_on
		camera.scene           = game_window

		game_window.camera = camera
	end
	
	self:preloadAssets()
	
	game_window:spawn(chunks.upgrade_menu_window.spawn())
end


function LuaUpgradeMenuGame:destroy()
	self:unloadAssets()
end


function LuaUpgradeMenuGame:preloadAssets()
	--TODO: FIXME local sound_manager = Audio.get().sound
	
	-- sounds
	--sound_manager:precache(URI(assets.getSound(assets.sounds.button_click)))
end

function LuaUpgradeMenuGame:unloadAssets()

end
