module(...,package.seeall)
-- includes --
local engine    = engine.instance
local chunks    = engine.chunks

function cast(caster, type_name, location)
	local game = caster:get():getMainGame()
	local team_to_attack = caster:get():getOppositeTeam()
	local level = UserData.instance():getTypeLevel(type_name)
	local weapon_name = chunks.load.getStat("spells", type_name, "weapon", level)
	
	-- create super boomstick
	local weapon_object_index = game:createGameObject("weapon", weapon_name, level)
	local super_boomstick = PartWeaponIndex(weapon_object_index):get()
	if super_boomstick == nil then
		return false
	end
	
	-- Set the weapon at the secondary weapon location
	local weapon_location = caster_location
	local inventory = PartInventoryIndex(caster):get()
	if inventory ~= nil then
		local item = inventory:getEquippedItemAtSlot(PartInventory.SECONDARY_WEAPON_EQUIP_SLOT):get()
		if item ~= nil then
			weapon_location = item:getObjectIndex():get():getWorldLocation()
		end
	end
	
	local weapon_object = weapon_object_index:get()
	weapon_object.location = weapon_location	
	
	-- find closest target	
	local range = super_boomstick.range
	local caster_location = caster:get():getWorldLocation()
	local target_object = game:getObjectsInRange(team_to_attack, caster_location.x + super_boomstick.min_range, caster_location.x + super_boomstick.range).values[1]	
	
	if target_object == nil then
		target_object = GameObjectIndex()		
	end
	
	-- fire super boomstick at target
	local force_fire = true
	super_boomstick:fire(target_object, force_fire)
	weapon_object:destroy()
	
	return true
end